NuSphere Forums Forum Index
NuSphere Forums
Reply to topic
I need PHP Debugger module for PHP version 5.4.4 please.


Joined: 23 Nov 2011
Posts: 3
Reply with quote
Hello,

I recently purchased PHPED Personal license. I need the debugger module for the following server environment:

- OS: Debian 7 x86_64
- PHP Version: 5.4.4-14+deb7u14
- Zend Extension Build API 220100525, NTS

I found out that I only have debugger modules for PHP up to 5.3 with my PHPED distribution. When I'm trying to enable those on server, I get the following error message in my Apache log:

Quote:

DBG requires Zend Engine API version 220090626.
The Zend Engine API version 220100525 which is installed, is newer.
Contact Dmitri Dmitrienko at www.nusphere.com for a later version of DBG.


Please provide me with download instructions for proper DBG version. Thanks in advance.
View user's profileFind all posts by LewolfSend private message
Guru master

Joined: 24 Jul 2009
Posts: 717
Reply with quote
PhpED comes with all the debugger modules that were available at the time that version of PhpED was released.

Have you checked inside your PhpED install directory? On most computers that will be C:\Program Files\NuSphere\PhpED\debugger\server

PhpED 15 comes with Linux modules for PHP versions 5.1 up to 5.6
View user's profileFind all posts by plugnplaySend private message


Joined: 23 Nov 2011
Posts: 3
Reply with quote
Hello plugnplay,

thanks for the tip. It was my fault indeed, I was looking under "Program Files (x86)" believing that it was my current NuSphere installation, but it must have been some old one.

I looked under "Program Files" and found another installation of NuSphere (which must be my current one, 64bit) and it really does contain debugger for all versions of PHP up to 5.6.

Thanks very much once again.
View user's profileFind all posts by LewolfSend private message
Guru master

Joined: 24 Jul 2009
Posts: 717
Reply with quote
Pleased to hear you are back on track Smile

If you install 64-bit PhpED then it puts its own copy of PHP into the "Program Files (x86)" directory because that PHP is still 32-bit
View user's profileFind all posts by plugnplaySend private message
I need PHP Debugger module for PHP version 5.4.4 please.
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
All times are GMT - 5 Hours  
Page 1 of 1  

  
  
 Reply to topic